Kontentga o'tish

Toifalar

GET
/v2/category
curl --request GET \
--url 'https://api-admin.billz.ai/v2/category?page=1&limit=10&has_products=false&top_level=false&is_deleted=false' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.

page
integer format: int32
default: 1

Raqam bo’lmagan -> 400

Example
1
limit
integer format: int32
default: 10

Raqam bo’lmagan -> 400

Example
10
search
string

Nomi bo’yicha qidiruv

parent_id
string

Ota buyurtma identifikatori

has_products
boolean
top_level
boolean
is_deleted
boolean

true satri

Example
false
platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.

Muvaffaqiyatli javob

Media typeapplication/json
object
count

Umumiy soni

integer format: int32
categories

Kategoriyalar daraxti

Array<object>
object
id
string
name
string
parent_id
string
all_parent_ids
Array<string>
nullable
subRows
Array<object> recursive
product_count
integer format: int32
company_id
string
is_open
boolean
level_number
integer format: int32
from_parent
boolean
deleted_at
integer format: int32
super_parent_id
string
Examplegenerated
{
"count": 1,
"categories": [
{
"id": "example",
"name": "example",
"parent_id": "example",
"all_parent_ids": [
"example"
],
"subRows": [],
"product_count": 1,
"company_id": "example",
"is_open": true,
"level_number": 1,
"from_parent": true,
"deleted_at": 1,
"super_parent_id": "example"
}
]
}